Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.util
Class DefaultHttpUtils

    java.lang.Object
      com.jaspersoft.jasperserver.war.util.DefaultHttpUtils

All Implemented Interfaces:
  HttpUtils

    public class DefaultHttpUtils

extends java.lang.Object
implements HttpUtils

Version:
  $Id: DefaultHttpUtils.java 9885 2007-09-03 16:39:13Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary
`static class` | `DefaultHttpUtils.HeaderEncoder`

Constructor Summary
`DefaultHttpUtils()`

Method Summary
`java.lang.String` | `encodeContentFilename(javax.servlet.http.HttpServletRequest request, java.lang.String filename)`
`CharacterEncodingProvider` | `getCharacterEncodingProvider()`
`DefaultHttpUtils.HeaderEncoder[]` | `getHeaderEncoders()`
`void` | `setCharacterEncodingProvider(CharacterEncodingProvider characterEncodingProvider)`
`void` | `setHeaderEncoders(DefaultHttpUtils.HeaderEncoder[] headerEncoders)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultHttpUtils

    public DefaultHttpUtils()

Method Detail

### encodeContentFilename

    public java.lang.String encodeContentFilename(javax.servlet.http.HttpServletRequest request,
                                                  java.lang.String filename)

  Specified by:
    `encodeContentFilename` in interface `HttpUtils`

### getCharacterEncodingProvider

    public CharacterEncodingProvider getCharacterEncodingProvider()

### setCharacterEncodingProvider

    public void setCharacterEncodingProvider(CharacterEncodingProvider characterEncodingProvider)

### getHeaderEncoders

    public DefaultHttpUtils.HeaderEncoder[] getHeaderEncoders()

### setHeaderEncoders

    public void setHeaderEncoders(DefaultHttpUtils.HeaderEncoder[] headerEncoders)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.